<?php
function get_lang($file)
{
	// The default lang
	$user_lang = 'english';

	// Lets see if the user clicked on a language
	if (isset($_GET['lang']) && !empty($_GET['lang']))
	{
		$user_lang = $_GET['lang'];
	}

	// Include a language file
	include './languages/lang_' . basename($user_lang) . '.php';

	// Get the data from the HTML
	$html = file_get_contents('./html/' . $file);

	// Create an empty array for the language variables
	$vars = array();

	// Scroll through each variable
	foreach($lang as $key => $value)
	{
		// Turn 'THIS' to '{THIS}'
		$vars['{' . $key . '}'] = $value;
	}

	// Finally convert the strings
	$html = strtr($html, $vars);

	// Display the data
	return $html;
}
?>